body {
  margin: 0 auto;
  font-family: "Public Sans", serif;
  background-color: #000800;
  color: black;
  overflow-x: hidden;
}

.services-heading {
  height: 250px;
  background: conic-gradient(
    from 135deg at 36% 50%,
    #0a3d0a 0deg 180deg,
    #000000 180deg 360deg
  );
  width: 100%;
}

.services-heading-text {
  font-size: 80px;
  color: white;
  text-transform: uppercase;
  font-style: italic;
  display: flex;
  align-items: end;
  height: 100%;
}
.services-heading-text span {
  margin: 30px;
}

.service-picture-container {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-auto-rows: 250px;
  gap: 15px;
  padding: 40px 0px;
  width: 96%;
  align-self: center;
  justify-self: center;
}

.service-item {
  color: white;
  display: flex;
  align-items: center;
  justify-content: center;
  font-weight: bold;
  text-align: center;
  font-size: 18px;
  background-size: cover;
  background-position: center;
  border-radius: 7px;
  position: relative;
  border: 2px solid rgb(255, 255, 255);
  overflow: hidden;
}
.main-service-image {
  transition: transform 0.6s ease, filter 0.6s ease;
}
.service-item:hover .main-service-image {
  filter: brightness(35%);
  transform: scale(1.08);
}
.service-item:hover {
  border: 2px solid #7fc70b;
  cursor: pointer;
}
.main-service-image {
  filter: brightness(45%);
}
.tree-removal-image {
  filter: brightness(75%);
}
/* Specific layout logic */
.tall {
  grid-row: span 3;
}

.square {
  grid-row: span 2;
}

.long {
  grid-column: span 2;
}

.service-item img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 5px;
}

.label {
  position: absolute;
  color: white;
  font-weight: bold;
  padding: 10px;
}

.service-item-text {
  position: absolute;
  height: 100%;
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: end;
  padding: 27px;
  box-sizing: border-box;
}
.learn-more {
  display: flex;
  align-items: center;
  justify-content: right;
  font-style: italic;
}
.learn-more img {
  width: 25px;
}
.service-title {
  display: flex;
  align-items: center;
  justify-content: left;
  font-weight: 600;
}
.service-title span {
  font-size: 36px;
  text-transform: uppercase;
  font-style: italic;
}
#tree-pruning {
  text-align: left;
}
.service-item-text p {
  text-align: left;
}

/* Responsive: 2 columns */
@media (max-width: 1000px) {
  .service-picture-container {
    grid-template-columns: repeat(2, 1fr);
  }

  .long {
    grid-row: span 2;
    grid-column: span 1;
  }

  .tall {
    grid-row: span 2;
  }
}

/* Responsive: 1 column */
@media (max-width: 600px) {
  .service-picture-container {
    grid-template-columns: 1fr;
  }

  .long {
    grid-column: span 1;
  }

  .tall {
    grid-row: span 2;
  }
}

.mobile-view-title {
  display: none;
}

@media (max-width: 850px) {
  .mobile-view-title {
    display: block;
    top: 110px;
    left: 25px;
    position: absolute;
    font-size: 48px;
    font-style: italic;
    font-weight: 600;
    text-transform: uppercase;
    color: white;
    align-self: flex-start;
    font-family: "Hubot Sans", sans-serif;
  }
  .service-picture-container {
    margin-top: 90px;
  }
}
